------------------------------------------------------------------------------------------
-- LoadAndSave file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Server, settingsFileName, settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(OneToRuleThemAllWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(OneToRuleThemAllWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = settings["isOptionsWindowVisible"]["isOptionsWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];
	settings["hasBeenChecked"]["value"] = settings["hasBeenChecked"]["value"];
	settings["nbrPlugins"]["nbr"] = settings["nbrPlugins"]["nbr"];
	for i=1, 19 do
		settings["pluginsToLoad"]["toBeLoaded" .. i] = settings["pluginsToLoad"]["toBeLoaded" .. i];
	end

	PatchDataSave( Turbine.DataScope.Server, settingsFileName, settings);
end